#
# spec file for package python-pytest-socket
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-socket
Version:        0.6.0
Release:        1.3
Summary:        Pytest Plugin to disable socket
License:        MIT
URL:            https://github.com/miketheman/pytest-socket
Source:         https://files.pythonhosted.org/packages/source/p/pytest-socket/pytest_socket-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.6.3
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 3.6.3}
# /SECTION
%python_subpackages

%description
A Pytest Plugin to disable socket calls during tests.

%prep
%setup -q -n pytest_socket-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# Tests require a network connection
#%%check
#%%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue May  9 2023 Dirk Müller <dmueller@suse.com>
- update to 0.6.0:
  * Add Change Log project URL
  * test: update httpbin commit hash
  * Upgrade CodeSee workflow to version 2
  * fix: don't break on doctests
  * docs: Fix syntax for setup.cfg
  * Fix pytest-socket raises IndexError with httpx
  * test: move the reenable fixture to conftest
  * Switch to poetry-core
  * Handle `family` passed as keyword argument
  * refactor: consolidate global options to config
  * test: replace pytest-flake8 with pre-commit
  * refactor/fix: move logic into setup phase and correct order
  * test: add test module for combinations
  * fix: test allow_hosts for unix sockets
  * test: move unix decorator to conftest
  * test: randomize test order
  * test: replace coverage command
  * refactor: replace .format with f-strings
  * lint: apply black
  * Enable Unix sockets selectively with --allow-unix-socket
  * Test refactor, add CodeQL scanning
  * Correctly subclass socket.socket
  * Add testing against Python 3.9, Dropped testing against
    Python 3.5
  * Doc updates
  * Avoid changing the type of `socket.socket` to function.
  * Sourcery Starbot ⭐ refactored miketheman/pytest-socket
  * Don't block unix sockets
  * docs: add details on fixture scope
  * chore: replace rst with markdown
  * test: add testing for some async frameworks
* Tue Jun  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.5:
  * Fix bug in marker evaluation #42
  * Refactor tests for clarity
* Tue Apr 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.4:
  * Drop support for unsupported versions of Python #23
  * Convert toolchain from pip/tox/twine to poetry
  * Replace TravisCI and Appveyor with GitHub Actions #36
  * Update for correct test output #31
  * Add renovatebot for dependecy updates #26
* Tue Jul 23 2019 Todd R <toddrme2178@gmail.com>
- Initial version
